Subject: bug#46349: 27.1; Spaces are added at wrong places when typing in Sinhala Unicode.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2021 05:38:13 +0200

> Cc: [email-masked]
> From: Lohan Gunaweera <[email-masked]>
> Date: Sun, 7 Feb 2021 06:30:54 +0530
> 
> > After you enter these characters, if you type "C-h l" (that's the
> > letter ell, not the digit one), what does Emacs show in the *Help*
> > buffer?
> 
> I entered both words, with a space between them and a full-stop at the
> end. After full-stop I hit space. This is what it shows in the *Help*
> buffer:
> 
>  භ			;; org-self-insert-command
>  ා			;; org-self-insert-command
>  ෂ			;; org-self-insert-command
>  ා			;; org-self-insert-command
>  ව			;; org-self-insert-command
>  SPC			;; org-self-insert-command
>  .			;; org-self-insert-command
>  C-h l			;; view-lossage

This says that Emacs received the space _before_ the full stop.  Which
does explain what you see on screen, doesn't it?

> > I don't have this input method installed, but if I just insert
> > manually the codepoints you show, I see no problems with the space
> > character insertion.  So it could be a problem with the input method?
> 
> I use the same input method with other applications such as gedit,
> LibreOffice, Thunderbird, Firefox etc, without this issue.

Maybe some interaction between Emacs and the input method, then.